### Function

# ECal util_clamp_vtimezone_by_component

since: 3.40

#### Declaration [src]

    void
    e_cal_util_clamp_vtimezone_by_component (
      ICalComponent* vtimezone,
      ICalComponent* component
    )

#### Description [src]

Similar to e_cal_util_clamp_vtimezone(), only reads the clamp times from the `component`.

Available since: 3.40

#### Parameters

`vtimezone`

  Type: `None`

  A VTIMEZONE component to modify.

  The argument will be modified by the function.
  The caller of the function takes ownership of the returned data, and is responsible for freeing it.

`component`

  Type: `None`

  An `ICalComponent` to read the times from.

  The data is owned by the caller of the function.